﻿@using System.Web.UI.WebControls;

@Html.Common().DevExpress().GridView(
    setting =>
    {
        setting.Name = "InvoiceAndPaymentDetailGrid";
        setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
        setting.Width = Unit.Percentage(100);
        setting.ClientSideEvents.BeginCallback = "OnOIPViewDetailBeginCallback";
        setting.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "InvoiceAndPaymentDetailGrid" };
        setting.KeyFieldName = "ManifestNo";

        setting.Columns.Add(
        field =>
        {
            field.Caption = "Manifest No";
            field.FieldName = "ManifestNo";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            field.Width = Unit.Pixel(80);
        });
                    
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Material No";
            field.FieldName = "MAT_NO";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            field.Width = Unit.Pixel(80);
        });
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Suffix<br/>Colour";
            field.FieldName = "PART_COLOR_SFX";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            field.Width = Unit.Pixel(40);
        });
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Material Description";
            field.FieldName = "MAT_TEXT";
            field.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
            field.Width = Unit.Pixel(150);
        });
                    
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Document Date";
            field.FieldName = "DOC_DT";
            field.PropertiesEdit.DisplayFormatString = "dd/MM/yyyy";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            field.Width = Unit.Pixel(80);
        });
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Qty";
            field.FieldName = "QTY";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
            field.Width = Unit.Pixel(40);
        });
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Price";
            field.FieldName = "Price";
            field.PropertiesEdit.DisplayFormatString = "{0:###,###.##}";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
            field.Width = Unit.Pixel(50);
        });
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Currency";
            field.FieldName = "Currency";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            field.Width = Unit.Pixel(30);
        });
        setting.Columns.Add(
        field =>
        {
            field.Caption = "Amount";
            field.FieldName = "Amount";
            field.PropertiesEdit.DisplayFormatString = "{0:###,###.##}";
            field.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
            field.Width = Unit.Pixel(100);
        });
                    
        setting.SettingsPager.PageSizeItemSettings.Visible = true;
        setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        setting.SettingsPager.PageSizeItemSettings.Caption = "Page Size";
        setting.Settings.ShowFilterRow = true;
        setting.Settings.ShowFilterRowMenu = true;
        setting.CommandColumn.Visible = false;
        setting.CommandColumn.ClearFilterButton.Visible = true;


    }).Bind(ViewData["InvoicePaymentDetail"]).GetHtml()

@*@using System.Collections.Generic;
@using System.Web.UI.WebControls;
@using Portal.Models.InvoiceAndPaymentInquiry;
@using System.Web.Util
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper;
@using Toyota.Common.Web.MVC;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Toyota.Common.Web.MVC;

 <table width=100%>
        <tr>
            <td width = "180px" border="1">
            @Html.Label("Total Goods Receipt Amount")
            </td>
            <td>
                <table>
                    <tr>
                        <td >
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "ReceiptAmount" + ViewData["SuppCode"];
                                settings.Text = "";
                                settings.Width = new System.Web.UI.WebControls.Unit(150);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            }).GetHtml()
                        </td>
                    </tr>
                </table>
            </td>
    </tr>
    <tr>
        <td colspan="2">
            @Html.DevExpress().GridView(
                    setting =>
                    {
                        setting.Name = "InvoiceAndPayment_" + ViewData["SuppCode"];
                        setting.SettingsDetail.MasterGridName = "InvoiceDetail";
                        setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                        setting.Width = Unit.Percentage(100);

                        setting.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "InvoiceAndPaymentDetailGrid", SuppCode = ViewData["SuppCode"] };
                        setting.KeyFieldName = "SuppCode";

                        setting.Columns.Add("SupplierManifest", "SupplierManifest");
                        setting.Columns.Add("PONo", "PO No");
                        setting.Columns.Add("Currency", "Currency");
                        setting.Columns.Add("Amount", "Amount");
                        setting.Columns.Add("OrderNo", "Order No");
                        setting.Columns.Add("DockCode", "Dock Code");
                        setting.Columns.Add("SuppCode", "Supp Code");
                        setting.Columns.Add("SuppName", "Supp Name");
                        setting.Columns.Add("DocumentDate", "Document Date");
                        setting.Columns.Add("InvoiceTaxType", "Invoice Tax Type");
        
                        setting.Settings.ShowVerticalScrollBar = true;
                        setting.Settings.ShowHorizontalScrollBar = true;
                        setting.Settings.VerticalScrollableHeight = 150;
                        setting.SettingsPager.PageSize = 10;
                        setting.SettingsPager.Position = PagerPosition.Bottom;
                        setting.SettingsPager.FirstPageButton.Visible = true;
                        setting.SettingsPager.LastPageButton.Visible = true;
                        setting.Settings.ShowFilterRow = true;
                        setting.Settings.ShowFilterRowMenu = true;
                        setting.CommandColumn.Visible = true;


                        setting.CommandColumn.Visible = true;
                        setting.CommandColumn.ShowSelectCheckbox = true;
                        setting.CommandColumn.Width = 40;
            
                        setting.CommandColumn.ClearFilterButton.Visible = true;
                    }).Bind(Model).GetHtml()
                </td>
            </tr>
            <tr>
                <td colp="2">
                    @Html.DevExpress().Button(
                        btn =>
                        {
                            btn.Name = "btnDownloadDetail";
                            btn.Text = "Download Detail";
                        }).GetHtml()
                </td>
            </tr>
    </table>

*@